Subject: Re: Portable Cygwin on a CD
From: Sam Edge <[email-masked]>
To: [email-masked]
Date: Tue, 06 May 2003 23:42:18 +0100

Greetings again.

Ronald Landheer-Cieslak <[email-masked]> wrote in
<[email-masked]>
in gmane.os.cygwin on Tue, 6 May 2003 10:48:38 +0200 (CEST):

> I don't have the slightest clue on how to lock a CD-ROM drive, though.. 
The DeviceIoControl() API has the IOCTL_STORAGE_MEDIA_REMOVAL control
code to enable/disable removal of media in NT-series OSes. I know the
same can be done in 9x-series but I'm don't know what API call is
needed.
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/devio/base/ioctl_storage_media_removal.asp

> but the code for looking whether Cygwin is running can be found in Cygwin 
> itself, so that's mostly a matter of copying & pasting :)

Ah. I've not looked. I was thinking of monitoring the DLL load/unload
and counting. If Cygwin does this itself, that's better.

-- 
Sam Edge

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/